# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define e = Character("Eileen")
define s = Character("Steve")
define r = Character("Rebekkkkka The Banananananana")

image steve01 = "images/steve01.png"
image steve02 = "images/steve02.png"
image rebe = "images/rebe.png"
image bg space = "images/space.png"


# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene bg space

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    # These display lines of dialogue.
    
    "This is the story of Steve the space fisher. The spisher."
    
    show steve01 with dissolve
    
    "Steve is hunting a space whale."
    
    voice "steve01.ogg"

    s "Whales aren't fish."    
    
    "Steve knows his science."
    
    "Unfortunately, he is out of harpoons."
    
    voice "steve02.ogg"

    s "Oh no! I am out of harpoons!"
    
    menu:
        "What should Steve do?"
        "Buy harpoons!":
            "Steve has decided to purchase some harpoons."
            "But Steve has no money!"
            show steve01 at left
            with move
            show rebe at right
            with dissolve
            "Rebbbbbbcha the Princess Banana appears!"
            voice "rebecca01.ogg"
            r "You're a failure!"
            "Rebby is a very harsh banana, but she is currently hiring."
            voice "rebecca02.ogg"
            r "Fish for me and I give you moneys."
            "Steve is excited about the opportunity."
            voice "steve03.ogg"
            s "Jubilation!"
            "GET A JOB ENDING"
        "Make harpoons!":
            "Steve wants to make a harpoon, but he can't seem to find his tools."
            show steve02
            "It looks like Steve misplaced his knife. His life is pointless."
            "PUN ENDING"

    # This ends the game.

    return
